package struclust.eval.testsetups;

import java.util.LinkedList;

import struclust.eval.EvalResult;

/**
 * Interface for Test Setups
 * 
 * @author Till Schäfer
 */
public interface TestSetup {
    /**
     * Run the test setup
     * 
     * @return the results from the test
     * @throws Exception
     */
    public LinkedList<EvalResult> run() throws Exception;
}
