package struclust.eval.tools.filtersdf;

import struclust.util.GraphIO;

/**
 * Class to run an SDF filter
 * 
 * @author Till Schäfer
 */
public class FilterSdf {
    /**
     * Main method: run filtering
     * 
     * @param args
     * @throws Exception
     */
    public static void main(String[] args) throws Exception {
        String folder = "/home/till/data/promotion/projekte/spp-big_data/00_struclust/eval_uncompressed/datasets/";
        GraphIO.filterSdf(
                folder + "2016-05-09-heterocyclen_all_pp-reaction_defined-max_vert_90-max_edge_100.sdf",
                folder + "2016-05-09-heterocyclen_all_pp-reaction_defined-max_vert_70-max_edge_80.sdf",
                m -> m.getAtomCount() < 70 && m.getBondCount() < 80);
    }
}