package graph;

/**
 * Factory for {@link MoleculeGraph}s
 * 
 * @author Till Schäfer
 */
public class MoleculeGraphFactory implements GraphFactory<String, String, MoleculeGraph> {

    @Override
    public MoleculeGraph create() {
        return new MoleculeGraph();
    }
    
    @Override
    public MoleculeGraph clone(MoleculeGraph source) {
        return source.clone();
    }
}
