package hsahn.algorithm.shortestpath;

import hsahn.datastructure.Matrix;
import hsahn.graph.Graph;
import hsahn.graph.properties.EdgeProperty;

// TODO support continues values like doubles etc.
public interface AllPairShortestPath {
	
	/**
	 * Note: The matrix is indexed by the indices of the vertices of g.
	 * @param g
	 * @return
	 */
	public Matrix<Integer> computeShortestPaths(Graph g);
	public Matrix<Integer> computeShortestPaths(Graph g, EdgeProperty<Integer> weights);
	
}
