package hsahn.comparison.distance;

/**
 * Similar to Jaccard, analysed by Wallis
 * @author kriege
 *
 */
public class MCSDistanceWallis extends MCSDistance {

	@Override
	protected double compute(int mcs, int v1, int v2) {
		return 1d - ((double)mcs/(v1 + v2 - mcs));
	}
	
}
