package hsahn.graph;

import hsahn.graph.Graph.Vertex;

/**
 * Generates graphs.
 * 
 * @author kriege
 */
// TODO move generating functions from GraphTools here!
public class GraphBase {
	
	/**
	 * @param blades the number of blades
	 */
	public static AdjListGraph centeredWindmill(int blades) {
		AdjListGraph g = new AdjListGraph(blades*3+1, blades*4);
		Vertex center = g.createVertex();
		for (int i=0; i<blades; i++) {
			Vertex a = g.createVertex();
			Vertex b = g.createVertex();
			Vertex c = g.createVertex();
			g.createEdge(a, b);
			g.createEdge(a, c);
			g.createEdge(b, c);
			g.createEdge(a, center);
		}
		return g;
	}

}
