package index.util;

import java.util.Collection;
import java.util.Iterator;

/**
 * Contains methods to build strings for datastructures frequently
 * used with SQL queries.
 */
public class QueryUtil {
	
	public static String toCommaSeparatedString(Collection list) {
		if (list.isEmpty()) {
			return "";
		}
		
		StringBuilder sb = new StringBuilder();
		Iterator i = list.iterator();
		sb.append(i.next()); // list is not empty!
		while (i.hasNext()) {
			sb.append(",");
			sb.append(i.next());
		}
		
		return sb.toString();
	}

}