package struclust.tools.samplemembers;

import com.beust.jcommander.Parameter;

/**
 * The Parameters for {@link SampleMembers}
 * 
 * @author Till Schäfer
 *
 */
public class Parameters {
    @Parameter(names = { "-in" }, description = "The file to read the clusters from")
    String inFile;

    @Parameter(names = { "-out" }, description = "The file to put the stripped clusters to")
    String outFile;
    
    @Parameter(names = { "-prob" }, description = "The probability of a member to be kept")
    Double prob;
    
}