package org.apache.commons.math3.stat.inference;

import org.junit.Assert;

/**
 * JUnit Test for BinomialTest
 * 
 * @author Till Schäfer
 */
public class BinomialTestTest {
    /**
     * This is a very simple test for p-Value calculation based on example
     * calculations
     */
    @org.junit.Test
    public void pValueTest() {
        BinomialTest test = new BinomialTest();

        double p1 = test.binomialTest(1000, 883, 0.9, AlternativeHypothesis.LESS_THAN);
        Assert.assertEquals(0.0433, p1, 0.0001);

        double p2 = test.binomialTest(1000, 884, 0.9, AlternativeHypothesis.LESS_THAN);
        Assert.assertEquals(0.0534, p2, 0.0001);
    }
}
