package org.apache.commons.math3.stat.interval;

import org.junit.Assert;

/**
 * JUnit Test for {@link org.apache.commons.math3.stat.interval}
 * 
 * @author Till Schäfer
 */
public class BinomialConfidenceIntervalTest {
    /**
     * This is a very simple test (by example) for confidence interval
     * calculation based on NormalApproximationInterval.
     */
    @org.junit.Test
    public void NormalApproximationInterval() {
        BinomialConfidenceInterval bInterval = new NormalApproximationInterval();
        ConfidenceInterval interval = bInterval.createInterval(1000, 874, 0.95);

        Assert.assertEquals(0.853, interval.getLowerBound(), 0.0006);
        Assert.assertEquals(0.894, interval.getUpperBound(), 0.0006);
    }
}
