package struclust.configurations;

/**
 * static strings for evaluation environment (path) configuration.
 * 
 * @author Till Schäfer
 *
 */
public class DefaultPaths {
    /**
     * Path to store the evaluation results. Must be given relative to the users
     * home folder.
     */
    public static final String evalResultFolder = "data/promotion/projekte/spp-big_data/00_struclust/eval_results";
    
    /**
     * The sub folder name for the evaluation results
     */
    public static final String evalSubfolderName = "eval";
    /**
     * The filename for the evaluation results
     */
    public static final String evalResultFileName = "eval.txt";
    /**
     * The sub folder name for the generated datasets
     */
    public static final String datasetSubfolderName = "dataset";
    /**
     * The sub folder name for injected evaluation results
     */
    public static final String injectionSubfolderName = "injection";
    /**
     * The sub folder name for the clustering results
     */
    public static final String clusteringSubfolderName = "gml";
    /**
     * The sub folder name for injected clustering results
     */
    public static final String clusteringInjectionSubfolderName = "gml_injection";
}
