package hsahn.comparison.kernel.basic;

import hsahn.comparison.kernel.Kernel;
import hsahn.datastructure.FeatureVector;

public class InnerProductKernel<T> implements Kernel<FeatureVector<T>> {

	public double compute(FeatureVector<T> g1, FeatureVector<T> g2) {
		return g1.innerProduct(g2);
	}

	public String getID() {
		return "IP";
	}
	
}
